Update profile details
curl --request PATCH \
--url https://punchplay.tv/api/platform/v1/me/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"displayName": "<string>",
"bio": "<string>",
"avatarUrl": "<string>",
"dateFormat": "<string>",
"timeZone": "<string>",
"timeFormat": "<string>",
"releaseRegion": "<string>",
"isPublic": true,
"spoilerProtection": true,
"landingPage": "<string>",
"calendarWeekStart": "<string>",
"calendarDefaultView": "<string>",
"artworkFollowCommunity": true,
"autoOpenMoodPicker": true
}
'import requests
url = "https://punchplay.tv/api/platform/v1/me/profile"
payload = {
"username": "<string>",
"displayName": "<string>",
"bio": "<string>",
"avatarUrl": "<string>",
"dateFormat": "<string>",
"timeZone": "<string>",
"timeFormat": "<string>",
"releaseRegion": "<string>",
"isPublic": True,
"spoilerProtection": True,
"landingPage": "<string>",
"calendarWeekStart": "<string>",
"calendarDefaultView": "<string>",
"artworkFollowCommunity": True,
"autoOpenMoodPicker": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
username: '<string>',
displayName: '<string>',
bio: '<string>',
avatarUrl: '<string>',
dateFormat: '<string>',
timeZone: '<string>',
timeFormat: '<string>',
releaseRegion: '<string>',
isPublic: true,
spoilerProtection: true,
landingPage: '<string>',
calendarWeekStart: '<string>',
calendarDefaultView: '<string>',
artworkFollowCommunity: true,
autoOpenMoodPicker: true
})
};
fetch('https://punchplay.tv/api/platform/v1/me/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"username": "<string>",
"displayName": "<string>",
"bio": "<string>",
"avatarUrl": "<string>",
"dateFormat": "<string>",
"timeZone": "<string>",
"timeFormat": "<string>",
"releaseRegion": "<string>",
"isPublic": true,
"spoilerProtection": true,
"landingPage": "<string>",
"calendarWeekStart": "<string>",
"calendarDefaultView": "<string>",
"profileTabsOrder": "<string>",
"profileOverviewOrder": "<string>",
"artworkFollowCommunity": true,
"autoOpenMoodPicker": true
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}Profile
Update profile details
PATCH
/
api
/
platform
/
v1
/
me
/
profile
Update profile details
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
Editable profile settings
⌘I